import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["isVisible", "target", "children"];
import PropTypes from 'prop-types';
import { useEffect, forwardRef } from 'react';
import { BASE_CLASS } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var DRAWER_OVERLAY_CLASS = BASE_CLASS + "-overlay";
var DrawerOverlay = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var isVisible = _ref.isVisible,
      target = _ref.target,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  useEffect(function () {
    if (target !== undefined) {
      target.current.style.position = 'relative';
      target.current.style.overflow = 'hidden';
    }
  }, [target]);
  return isVisible ? /*#__PURE__*/_jsx("div", _extends({
    ref: forwardedRef,
    className: DRAWER_OVERLAY_CLASS
  }, props, {
    children: children
  })) : null;
});
DrawerOverlay.displayName = 'MoleculeDrawerOverlay';
export default DrawerOverlay;